#!/usr/bin/env python
import commands,string,sys
import SEP.par
import SEP.superset
import SEP.wei_oper
import SEP.wei_code
import SEP.spawn
import SEP.util
import bob_tomo
SEP.util.debug=1


fft=SEP.wei_code.simple_package("fft",["/usr/local/FFTW/FFTW3/lib"],
  ["fftw3f"])
sep=SEP.wei_code.simple_package("sep",["/net/koko/bob/SEPI/lib"],
  ["sepauxf90","sepaux","sep2df90","sepparf90","seppar","sepgeef90",
    "supersetf90","sep3df90","sepf90","superset","sep3d","sep"])
                                                                                           
wei_comp=([SEP.wei_code.migz,SEP.wei_code.pspi,SEP.wei_code.ssf,
  SEP.wei_code.hcig,SEP.wei_code.sll])
                                                                                           
base_dir="/homes/sep/bob/Src/lib/wei_single"
options={}
options["UF90DEFINES"]="-DUSE_FFTW -DSEP_TIMER "
options["UF90FLAGS"]="-O3 -axP -tpp7"


args=SEP.par.sep_args()

mig=args.par("mig","Phase")[0]

if mig=="Phase": 
  wei_comp.append(SEP.wei_code.wem)
  prog="/net/koko/bob/bin/LINUX/Phase.x"
elif mig=="CAM": 
  wei_comp.append(SEP.wei_code.cam)
  prog="/net/koko/bob/bin/LINUX/CAM.x"
else: SEP.util.err("Unknown mig_type, must be Phase or CAM")
program=SEP.wei_code.wei_code(wei_comp,prog,base_dir,SEP.wei_code.base_code,
  [sep,fft],"build")

#program.build()
args.add_param("program",prog)
mig=bob_tomo.mig_obj("migrate",**args.return_dict())
mig.iter("0","0")
print string.join(mig.return_commands(),"\n")
mig.run_com()
sys.exit(0)
