#!/usr/bin/env python
import commands,string,sys
import SEP.par
import do_tomo,commands
import SEP.util
SEP.util.debug=1




general=SEP.par.sep_pars(name="general")
general.add_string("data=freq.H vel_in=vel.0.H  verb=2 clean=1")

mig=SEP.par.sep_pars(name="mig")
mig.add_string("program=Phase imageP_nzb=200 imageP_verb=9")


gamma=SEP.par.sep_pars(name="gamma")
gamma.add_string("pickP_scale=.03")


back=SEP.par.sep_pars(name="back")
back.add_string("tspaceP_n1out=140 tspaceP_d1out=.03 tspaceP_n2out=303 tspaceP_d2out=.06 tomoP_verb=y  filterP_dip_range=50 tomoP_eps=20. dipP_eps=.04 dipP_eps2=.04 ptsP_beg1_kill1=1.4 ptsP_end1_kill1=2.5 vel_min=1.3 vel_max=4.5")


run=do_tomo.tomo_mult(back=back,gamma=gamma,mig=mig,general=general)

def str_list(count,first=0):
  out=[]
  for  i in range(count): out.append(str(first+i))
  return out


nlegs=5

to_list=str_list(nlegs)
rand_seed1=str_list(nlegs)
rand_seed2=str_list(nlegs**2,nlegs)
rand_seed3=str_list(nlegs**3,nlegs+nlegs**2)
rand_seed4=str_list(nlegs**4,nlegs+nlegs**2+nlegs**3)


do=[4]


back_args=SEP.par.sep_pars(name="back_iter")

if do.count(1):
  list=run.iter(["0"],to_list,rand_seed1,gamma_args=gamma)
else:
  list=run.iter_file(["0"],to_list)

if do.count(2):
  gamma.add_string("pickP_scale=.02")
  back_args.add_string("tomoP_eps=15.")
  list=run.iter(list,to_list,rand_seed2,back_args=back_args,gamma_args=gamma)
else:
  list=run.iter_file(list,to_list)


if do.count(3):
  gamma.add_string("pickP_scale=.0")
  back_args.add_string("tomoP_eps=14.")
  list=run.iter(list,["0"],rand_seed3,back_args=back_args,gamma_args=gamma)
else:
  list=run.iter_file(list,["0"])
#  list=run.iter_file(list,to_list)

if do.count(4):
  back_args.add_string("tomoP_eps=14")
  list=run.iter(list,["0"],rand_seed4,back_args=back_args)
else:
  list=run.iter_file(list,["0"])
#  list=run.iter_file(list,to_list)

if do.count(5):
  back_args.add_string("tomoP_eps=8.")
  list=run.iter(list,["0"],rand_seed4,back_args=back_args)
else:
  list=run.iter_file(list,to_list)

#run.run_com()
print string.join(run.flow,"\n")

#program.build()


sys.exit(0)
