#!/usr/bin/env python
import commands,string,sys;
import SEP.par
import do_tomo
import SEP.util
SEP.util.debug=1




general=SEP.par.sep_pars(name="general")
general.add_string("data=freq.H vel_in=vel.0.H mask=mask.H  verb=2 clean=1")

mig=SEP.par.sep_pars(name="mig")
mig.add_string("program=/net/koko/bob/bin/LINUX/Phase.x imageP_nzb=200 imageP_verb=9")


back=SEP.par.sep_pars(name="back")
back.add_string("tspaceP_n1out=140 tspaceP_d1out=.03 tspaceP_n2out=303 tspaceP_d2out=.06 tomoP_verb=y  filterP_dip_range=50 tomoP_eps=20. dipP_eps=.04 dipP_eps2=.04 ptsP_beg1_kill1=1.4 ptsP_end1_kill1=2.6  ptsP_beg1_kill2=0.0 ptsP_end1_kill2=0.3  vel_min=1.3 vel_max=4.5 epsP_pow1=1.3 ptsP_beg1_kill3=3.5 ptsP_beg1_kill4=1.4 ptsP_beg2_kill4=4 ptsP_end2_kill4=8 ")


run=do_tomo.tomo_run(back=back,mig=mig,general=general)
do=[3]


back_args=SEP.par.sep_pars(name="back_iter")


if do.count(0)==1:
  run.iter("0","1")

if do.count(1)==1:
  back_args.add_string("tomoP_eps=15. ptsP_end1_kill1=2.5")
  run.iter("1","2",back_args=back_args)

if do.count(2)==1:
  back_args.add_string("tomoP_eps=15. ")
  run.iter("2","3",back_args=back_args)

if do.count(3)==1:
  back_args.add_string("tomoP_eps=15.  ptsP_end1_kill1=2.5 epsP_pow1=1.3 epsP_pow2=.6")
  run.iter("3","4",back_args=back_args)

if do.count(4)==1:
  back_args.add_string("tomoP_eps=15. ptsP_end1_kill1=2.5 epsP_pow1=1.3 epsP_pow2=.8")
  run.iter("4","5",back_args=back_args)

#run.run_com()
print string.join(run.flow,"\n")

#program.build()


sys.exit(0)
